Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03738 Sound Minor Have not tried Feb 18, 2010, 06:53 13 days ago
Tester Fujix View Status Public Platform
Assigned To Resolution Reopened OS
Status [?] Confirmed Driver nemesis.cpp
Version 0.136u3 Fixed in Version Build
Fixed in Git Commit Github Pull Request #
Summary 03738: salamand: In the attract demo play, voice samples are not muted briefly.
Description According to the original recording of Salamander by GameStone in 03538, in the demo play mode when the player get an power-up, while the voice is playing other sound effects are muted briefly.

Attached a mp3 file cutting out three occurrence points.
Steps To Reproduce
Additional Information
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems salamand
Attached Files
mp3 file icon salamand_attact_edited.mp3 (198,689 bytes) Feb 18, 2010, 06:53
Relationships
related to 03538ResolvedFujix  salamand, lifefrce, lifefrcej, salamandj: Music is too quiet in Salamander and Lifeforce 
Notes
3
User avatar
No.15850
MetalGod
Senior Tester
Nov 30, 2018, 13:56
edited on: Nov 30, 2018, 20:32
Pcb attract mode here:

Mame 0.204 attract mode here:


Tested on both mame 0.136 and mame 0.203 and I see no differences between pcb and both mame versions. Not even mame 0.136 is close to the audio glitches reported by Fujix.
I see no issue here.
*Edited: Shared a better quality video for mame attract mode
User avatar
No.15862
hap
Developer
Dec 1, 2018, 17:58
quote from ICEKnight:

"I think the recordings show how the original PCB actually does mute just the "shooting" sound effects while the speech is playing (which MAME currently doesn't)? Seems to mute the correct sound effects until around 0:50, in that 0.204 video. "
User avatar
No.19615
MetalGod
Senior Tester
13 days ago
quote from Ace:

"
Bugs 03738 and 03919 deal with emulation issues pertaining to the VLM5030 and are completely unrelated to the Yamaha FM timers. 03919, in particular, is due to emulation inaccuracies with the VLM5030 in general, which I would suggest to rebuild based on this gate-level VHDL model made by Arnim Laeuger of FPGAArcade: https://github.com/FPGAArcade/replay_common/tree/master/lib/sound/vlm5030
"